Bug 80790 - ati radeon 7000 pci. dri doesent work in xfree 4.2.1
ati radeon 7000 pci. dri doesent work in xfree 4.2.1
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2002-12-31 06:31 EST by randy smyth
Modified: 2007-04-18 12:49 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-03-14 19:12:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description randy smyth 2002-12-31 06:31:51 EST
Description of problem: 
xfree hangs when you start x with dri enabled. this is with a ati readion 7000 

How reproducible:
simply startx with dri on.

Actual results:
total system freez. cant even kill the app you have to reboot to get back in 
the console.

Expected results:
to work of course.

Work around:
edit xf86config to not load dri and it work but of course thers no 3d acell 

Additional info:
from what iv been able to find out its in the vt switching.
Comment 1 Mike A. Harris 2002-12-31 07:22:30 EST
DRI does not support PCI Radeon hardware except on the Alpha platform, and
it is disabled in the source code itself, both in the kernel and in XFree86
except for Alpha systems.  Unless you have manually patched both your kernel
and the XFree86 sources, and recompiled both to enable PCI Radeon DRI
support, I don't see how it is possible that the DRI setting in the config
file would have any effect whatsoever on PCI Radeon hardware on the x86

Please attach your XFree86 config file, and log file, as well as your
/var/log/messages each as a separate uncompressed file attachment using
the link below.  While XFree86 is running, with DRI enabled in the config
file, please also provide the output of "lsmod", and I will investigate
this further.

Comment 2 randy smyth 2002-12-31 20:50:12 EST
thank you for telling me that. then in that case dri needs pci support for the 
ati readion 7000 pci also knowen as the readion ve. this also effects the ati 
mobilty card. i mean my voodo3 was only a 16 meg and had dri support no 
reasion a 32 meg card should be disabled.
Comment 3 Mike A. Harris 2003-01-02 03:53:08 EST
Note that this is not a bug.  Compaq funded the DRI project to develop
DRI support for Radeon hardware for the Alpha platform, and it works on
Alpha (aparently).  They did not fund development for x86 however, and
the code does not function correctly on x86, although it is rumored to
work on some PPC hardware.  The default code disables pcigart on non Alpha
platforms because it was never actively tested or debugged, and is thus
not officially supported by the XFree86 or DRI projects.  Also note that
this is not restricted to the Radeon VE.  All PCI Radeon hardware is
unsupported with DRI, and again, that is not a bug, but rather a feature
that was never officially implemented.

>i mean my voodo3 was only a 16 meg and had dri support no 
>reasion a 32 meg card should be disabled.

This has absolutely nothing to do with the amount of video memory on the
video card.  The Voodoo hardware was one of the first pieces of hardware
that Precision Insight developed 3D acceleration code for in the DRI
project, and that is why Voodoo 3 is supported.

Radeon PCI support was not ever officially developed or tested for x86
architecture, and is officially unsupported as I have now said many times.

Nobody has any interest or motivations in developing this code to work
on Radeon PCI on x86 platforms on the XFree86 or DRI teams likely, or they
would have done so long ago.  My official statement is thus that this is
not supported, and is not a bug.

Implementing Radeon PCI support in DRI would be a feature enhancement
request, which is fine because I have already stated that I have a
personal interest in doing so at some point in time when I feel sufficiently
motivated and have the time to do so.  I have acquired the hardware already,
and I have the documentation.  This is volunteer work, and I will do it
when I have time to do so in my spare time and feel like doing it.

As such, I do not feel the need to track this in bugzilla, as it is already
a personal "TODO" item if someone does not beat me to it.  If you can't
wait and would like it sooner, perhaps you can stimulate one of the DRI
project members to get an interest in doing this.

Closing DEFERED as an official Red Hat resolution to your enhancement request,
however it will be done at some undefined point in the future, by me as a
volunteer, unless as stated above, someone beats me to it.  When this does
occur, I will update your enhancement request if you are interested in
beta testing the results.

Comment 4 randy smyth 2003-01-03 08:27:39 EST
i will certently be happy for a beta version when it gets made at some 
undetermend time thanks for the help.
Comment 5 Mike A. Harris 2003-03-14 19:12:03 EST
Experimental PCI Radeon DRI support is now in XFree86 4.3.0 in phoebe beta,
and will be in our final release.  While this is officially "unsupported",
it is available for people to try out.  

To use it, you must be running phoebe beta, and use Option "ForcePCIMode" as
documented on the Radeon manpage.

You can report issues here in bugzilla if you encounter any by filing new
bug reports, however since it is not officially supported, any such bug
reports I'll only be looking at in my own personal spare time as a volunteer,
so they may not get high priority.  Nonetheless it will be good to know
what problems exist.

Note You need to log in before you can comment on or make changes to this bug.